"use strict";
const common_vendor = require("../common/vendor.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = {
  __name: "headerInput",
  emits: ["changeInputValue"],
  setup(__props, { emit: $emit }) {
    const handleInput = (e) => {
      $emit("changeInputValue", e.detail.value);
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "search",
          size: "24",
          color: "#808080"
        }),
        b: common_vendor.o(handleInput)
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-7ac621e1"], ["__file", "E:/workSpace/WanZai_School_app/components/headerInput.vue"]]);
wx.createComponent(Component);
